Home Assistant Time Source
==========================

The preferred way to get time in ESPHome is using Home Assistant.
With the ``homeassistant`` time platform, the :doc:`native API </components/api>` connection
to Home Assistant will be used to periodically synchronize the current time.

.. code-block:: yaml

    # Example configuration entry
    time:
      - platform: homeassistant
        id: homeassistant_time

Configuration variables
-----------------------

- All options from :ref:`base_time_config`.


See Also
--------

- :ghedit:`Edit`
